import { exec } from 'node:child_process';
export async function installDependenciesAsync(cwd) {
    await new Promise(function (resolve, reject) {
        const command = isYarn() === true ? 'yarn install' : 'npm install';
        exec(command, { cwd }, function (error) {
            if (error) {
                reject(error);
                return;
            }
            resolve();
        });
    });
}
function isYarn() {
    return /yarn\//.test(process.env.npm_config_user_agent);
}
//# sourceMappingURL=install-dependencies-async.js.map